Bug 1409576 - Errata no longer imported at the end of reposync
Summary: Errata no longer imported at the end of reposync
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Satellite Synchronization
Version: 580
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jan Dobes
QA Contact: Jan Hutař
URL:
Whiteboard:
Depends On: 1401488
Blocks: 1340444
TreeView+ depends on / blocked
 
Reported: 2017-01-02 14:02 UTC by Jan Dobes
Modified: 2017-06-21 12:07 UTC (History)
5 users (show)

Fixed In Version: spacewalk-backend-2.5.3-44
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1401488
Environment:
Last Closed: 2017-06-21 12:07:24 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jan Dobes 2017-01-02 14:02:37 UTC
Cloning for Satellite 5.8

+++ This bug was initially created as a clone of Bug #1401488 +++

Description of problem:

Errata are not imported so while there are many new updates available after a reposync they have no associated erratum

Version-Release number of selected component (if applicable):

spacewalk-backend-tools-2.6.74-1.el7.noarch

How reproducible:

100% by doing a sync

Steps to Reproduce:
1. Upgrade working 2.5 Spacewalk server to 2.6
2. Do a sync of repository with errata such as EPEL

Actual results:

From /var/log/rhn/rhn_taskomatic_daemon.log
INFO   | jvm 1    | 2016/12/05 04:02:42 | 2016-12-05 04:02:41,943 [Thread-32261] ERROR com.redhat.rhn.taskomatic.task.RepoSyncTask - 04:02:41 ERROR: cannot concatenate 'str' and 'int' objects
And no erratum for dec 2016

Expected results:

New errata available dated december 2016

Additional info:

Seen this on 2 servers, both otherwise succesfully upgraded from 2.5 to 2.6 (both running Scientific Linux 7.2 as OS)

--- Additional comment from Patrick Hurrelmann on 2016-12-29 09:13:00 EST ---

I tried to fix it with https://github.com/spacewalkproject/spacewalk/pull/497

--- Additional comment from Jan-Albert van Ree on 2016-12-29 17:10:51 EST ---

I confirm the fix Patrick posted in Comment 1 solves the issue.

--- Additional comment from Jan Dobes on 2017-01-02 08:54:31 EST ---

Reproduced with https://dl.fedoraproject.org/pub/epel/7/x86_64/ repository.

fixed in spacewalk master:

8f15be928e87bff607854aa9543ac39ef90c6d36

I moved the str() in your patch into the fix_notice function - where the conversion to number is performed. Thank you.

Comment 4 Radovan Drazny 2017-06-07 11:34:20 UTC
Re-verified with spacewalk-backend-tools-2.5.3-138.el6sat


Note You need to log in before you can comment on or make changes to this bug.